petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSetGlobalSection

Set the PetscSection encoding the global data layout for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetGlobalSection(DM dm, PetscSection section)

### Input Parameters

| dm | - The DM
| section | - The PetscSection, or NULL

Note: Any existing Section will be destroyed

### See Also

DMGetGlobalSection(), DMSetSection()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages